%define name xmms-shn
%define version 2.4.0
%define release 1plf
%define inst_dir %_libdir/xmms/
%define plugdir %(xmms-config --input-plugin-dir 2>/dev/null)
Summary: This is an input plugin for XMMS which plays shn encoded audio files
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
Source: %{name}-%{version}.tar.gz
Url: http://www.etree.org/shnutils/xmms-shn/
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: xmms
BuildRequires: libxmms1-devel




%description
This plugin for XMMS can play audio files which are encoded with shn. 
This is in PLF because the shorten license is not free.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%configure

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT libdir=%{plugdir}
rm -f $RPM_BUILD_ROOT%{plugdir}/libshn.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%defattr(0755,root,root,0755)
%doc AUTHORS ChangeLog README doc/CREDITS doc/LICENSE.shorten
%{plugdir}/libshn.so

%changelog
* Fri Feb 04 2005 Sebastien Savarin <plouf@zarb.org> 2.4.0-1plf
- first release